Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezbulkmail/admin/mailedit.php File Reference

Go to the source code of this file.

## Functions
| save_mail ()

## Variables
if(isset( $Cancel)) if(isset( $Preview)) if(isset( $Save)) if(isset( $Send)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZBulkMailMain", "Language" )
| $templateID = 0
| $t
if( $MailID==0) | $useDefaults = $ini->variable( "eZBulkMailMain", "UseBulkmailSenderDefaults" )
if( $useDefaults=="enabled" &&empty( $From) &&empty( $FromName)) | else
| $categoryArrayID = array()
if( $MailID !=0) | $categories = eZBulkMailCategory::getAll()
foreach( $categories as $category) | $templates = eZBulkMailTemplate::getAll()

## Function Documentation

## ◆ save_mail()

save_mail | ( |  | ) |

Definition at line 176 of file ezbulkmail/admin/mailedit.php.

References $error, $ini, $mail, $Subject, and eZUser\currentUser().

## Variable Documentation

## ◆ $categories

if ($MailID !=0) $categories = eZBulkMailCategory::getAll()

We are editing an allready existent mail... lets insert it's values Inserting values in the drop down boxes...

Definition at line 138 of file ezbulkmail/admin/mailedit.php.

## ◆ $categoryArrayID

$categoryArrayID = array()

Definition at line 120 of file ezbulkmail/admin/mailedit.php.

Referenced by eZProduct\extendedSearch(), and eZProduct\extendedSearchCount().

## ◆ $ini

if (isset($Cancel)) if (isset($Preview)) if (isset($Save)) if (isset($Send)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 69 of file ezbulkmail/admin/mailedit.php.

Referenced by save_mail().

## ◆ $Language

$Language = $ini->variable( "eZBulkMailMain", "Language" )

Definition at line 70 of file ezbulkmail/admin/mailedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezbulkmail/admin/" . $ini->variable( "eZBulkMailMain", "AdminTemplateDir" ),
"kernel/ezbulkmail/admin/intl/", $Language, "mailedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezbulkmail/admin/mailedit.php:70
$ini
if(isset( $Cancel)) if(isset( $Preview)) if(isset( $Save)) if(isset( $Send)) $ini
Definition: ezbulkmail/admin/mailedit.php:69

Definition at line 73 of file ezbulkmail/admin/mailedit.php.

## ◆ $templateID

$templateID = 0

Definition at line 71 of file ezbulkmail/admin/mailedit.php.

Referenced by eZBulkMail\useTemplate().

## ◆ $templates

foreach ($categories as $category) $templates = eZBulkMailTemplate::getAll()

Definition at line 151 of file ezbulkmail/admin/mailedit.php.

## ◆ $useDefaults

if ($MailID==0) $useDefaults = $ini->variable( "eZBulkMailMain", "UseBulkmailSenderDefaults" )

New mail, lets insert some default values

Definition at line 100 of file ezbulkmail/admin/mailedit.php.

## ◆ else

if ($useDefaults=="enabled" &&empty($From) &&empty($FromName)) else

Initial value:
{
$user =& eZUser::currentUser()
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$user
$user
Definition: user/adlist.php:39

Definition at line 107 of file ezbulkmail/admin/mailedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.